Announcements
Attention for Customers without Multi-Factor Authentication or Single Sign-On - OTP Verification rolls out April 2025. Read all about it here.

Fillet Command (at the same time)

alvi_90
Observer

Fillet Command (at the same time)

alvi_90
Observer
Observer

Hi guys,

is it possible to connect 10/20 polylines at the same time? the multiple command exists, but every time I have to select polyline. thank youautocad.JPG

0 Likes
Reply
Accepted solutions (1)
267 Views
2 Replies
Replies (2)

pbejse
Mentor
Mentor
Accepted solution

@alvi_90 wrote:

Hi guys,

is it possible to connect 10/20 polylines at the same time? the multiple command exists, but every time I have to select polyline. thank you


(defun c:demo (/ rad r ss i e)
(setq rad (getvar "FILLETRAD"))
(if  (and
       (setq r (getdist (strcat "\nEnter Radius " (rtos rad) ": ")))
       (setq ss (ssget '((0 . "LWPOLYLINE,POLYLINE"))))
       )
  (progn
    (setvar "FILLETRAD" r)
	  (repeat  (setq i (sslength ss))
		    (setq e (ssname ss (setq i (1- i))))
		    (command "_FILLET" "P" e)
		  )
	    )
    )
  (princ)
)

HTH

alvi_90
Observer
Observer

thank you!! fantastic!!

works as I wanted

thank you very much

 
0 Likes